Exiv2: Exiv2::XmpKey Class Reference

# Exiv2::XmpKey Class Reference

Concrete keys for XMP metadata. More...

`#include <properties.hpp>`

Inheritance diagram for Exiv2::XmpKey:
[legend]
Collaboration diagram for Exiv2::XmpKey:
[legend]

List of all members.

## Public Types
typedef std::auto_ptr< XmpKey > | AutoPtr
| Shortcut for an XmpKey auto pointer.
## Public Member Functions
Creators
| XmpKey (const std::string &key)
| Constructor to create an XMP key from a key string.
| XmpKey (const std::string &prefix, const std::string &property)
| Constructor to create an XMP key from a schema prefix and a property name.
| XmpKey (const XmpKey &rhs)
| Copy constructor.
virtual | ~XmpKey ()
| Virtual destructor.
Manipulators
XmpKey & | operator= (const XmpKey &rhs)
| Assignment operator.
Accessors
virtual std::string | key () const
| Return the key of the metadatum as a string. The key is of the form 'familyName.groupName.tagName'. Note however that the key is not necessarily unique, e.g., an ExifData may contain multiple metadata with the same key.
virtual const char * | familyName () const
| Return an identifier for the type of metadata (the first part of the key).
virtual std::string | groupName () const
| Return the name of the group (the second part of the key). For XMP keys, the group name is the schema prefix name.
virtual std::string | tagName () const
| Return the name of the tag (which is also the third part of the key).
virtual std::string | tagLabel () const
| Return a label for the tag.
virtual uint16_t | tag () const
| Properties don't have a tag number. Return 0.
AutoPtr | clone () const
| Return an auto-pointer to a copy of itself (deep copy). The caller owns this copy and the auto-pointer ensures that it will be deleted.
std::string | ns () const
| Return the schema namespace for the prefix of the key.

## Detailed Description

Concrete keys for XMP metadata.

Examples:

  xmpsample.cpp.

## Constructor & Destructor Documentation

Exiv2::XmpKey::XmpKey | ( | const std::string & | key | ) | `[explicit]`

Constructor to create an XMP key from a key string.

Parameters:

  | key | The key string.

Exceptions:

  | Error | if the first part of the key is not 'Xmp' or the second part of the key cannot be parsed and converted to a known (i.e., built-in or registered) schema prefix.

Exiv2::XmpKey::XmpKey | ( | const std::string & | prefix,
|  | const std::string & | property |
| ) |  |  |

Constructor to create an XMP key from a schema prefix and a property name.

Parameters:

  | prefix | Schema prefix name
  | property | Property name

Exceptions:

  | Error | if the schema prefix is not known.

The documentation for this class was generated from the following file:

- properties.hpp